Skip to main content
POST
/
v1
/
admin
/
notifications
/
reminder-rules
/
{id}
/
stages
Create reminder stage
curl --request POST \
  --url https://{operatorDomain}/v1/admin/notifications/reminder-rules/{id}/stages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "nstg_01h...",
  "ruleId": "<string>",
  "offsetDays": 123,
  "position": 123,
  "channels": [
    {}
  ]
}
'
{
  "id": "nstg_01h...",
  "ruleId": "<string>",
  "offsetDays": 123,
  "position": 123,
  "channels": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

id
string
required

Body

application/json
id
string
Example:

"nstg_01h..."

ruleId
string
offsetDays
integer
position
integer
channels
object[]

Response

201 - application/json

Created stage

id
string
Example:

"nstg_01h..."

ruleId
string
offsetDays
integer
position
integer
channels
object[]